Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360482 - Review Request: nextcloud - a private, secure way to share and access files
Summary: Review Request: nextcloud - a private, secure way to share and access files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 21:48 UTC by James Hogarth
Modified: 2017-03-20 09:12 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-20 09:12:51 UTC
fedora: fedora-review+


Attachments (Terms of Use)
spec.diff (deleted)
2016-10-11 14:12 UTC, Remi Collet
no flags Details
review.txt (deleted)
2016-10-11 14:37 UTC, Remi Collet
no flags Details

Description James Hogarth 2016-07-26 21:48:49 UTC
Spec URL: https://jhogarth.fedorapeople.org/nextcloud/nextcloud.spec
SRPM URL: https://jhogarth.fedorapeople.org/nextcloud/nextcloud-9.0.53-2.fc25.src.rpm

Description: Nextcloud gives you a private, secure way to share, work with others and access your own data using an easy to use interface. Be it music, calendar appointments, bookmarks, email or your documents, Nextcloud keeps your data safe.

Fedora Account System Username: jhogarth

Comment 1 James Hogarth 2016-07-26 21:50:56 UTC
This is a semi-placeholder whilst plans are finalized now that the dependency for it that was missing in Fedora has been approved. 

This is the same SRPM and SPEC used in the COPR:

https://copr.fedorainfracloud.org/coprs/jhogarth/NextCloud

The spec is based on the existing owncloud one which this has forked from and installs in parallel to rather than replaces.

Comment 2 Nick Bebout 2016-07-26 22:35:14 UTC
s/NextCloud/Nextcloud

I think I'll try to do this review.

Comment 3 Nick Bebout 2016-07-26 22:36:24 UTC
I also changed the summary, since I believe the name of the package in the summary is supposed to be the same as what will be requested for the name of the package in scm

Comment 4 James Hogarth 2016-07-29 11:17:02 UTC
Spec URL: https://jhogarth.fedorapeople.org/nextcloud/nextcloud.spec
SRPM URL: https://jhogarth.fedorapeople.org/nextcloud/nextcloud-9.0.53-4.fc25.src.rpm

I now feel this is ready for its first review. Where possible the javascript libraries have been unbundled and where not the Provides: bundled(js-foo) entry has been added. The ones that have no = in that have no data from which to determine a version number in the bundle.

Note that due to some versioning issues EPEL7 will not have the javascript libraries unbundled at this time.

Comment 5 Didier 2016-08-28 14:17:20 UTC
Any chance of creating a nC 10.0 .spec ?

WRT to https://bugzilla.redhat.com/show_bug.cgi?id=1358766#c4, I'd like to run the migration path (on EL7) oC 9.0.3 > nC 9.0.53 > nC 10.0.

Comment 6 James Hogarth 2016-09-14 08:45:43 UTC
Nick are you going to be able to proceed on this any time soon?

I'd like to get the the NextCloud/OwnCloud situation well underway as soon as possible.

Thanks

Comment 8 James Hogarth 2016-09-14 14:24:31 UTC
Urgh sorry you're right ... missed the distag change after the branch ...

In my defence I was kind of occupied by real life distractions? ;)

Comment 9 James Hogarth 2016-09-21 09:22:34 UTC
hey nick

have you had a chance to run fedora-review and start looking at this?

if you don't have time to carry it out could you please unassign yourself so someone else can take over the review?

I want to get this out the way before deciding what to do about the owncloud/nextcloud split.

Comment 10 Nick Bebout 2016-09-22 17:00:17 UTC
I'm going to unassign this.  Not sure that I could get this done in a timely manner.

Comment 11 James Hogarth 2016-10-06 23:06:16 UTC
This has been updated to 10.0.1 in the COPR and for this review.

Note that it is required to have OwnCloud 9.1 if you want to migrate to NextCloud ... this has been built and is awaiting pushing to testing in Fedora.

EPEL is pending some fixes to patches before it gets an update


Spec: https://jhogarth.fedorapeople.org/nextcloud/nextcloud.spec
SRPM: https://jhogarth.fedorapeople.org/nextcloud/nextcloud-10.0.1-1.fc26.src.rpm

Comment 12 Remi Collet 2016-10-11 14:12:18 UTC
Created attachment 1209175 [details]
spec.diff

As this project is an owncloud fork, most of the spec is the same, and thus minimal review can be done.

Comment 13 Remi Collet 2016-10-11 14:14:05 UTC
Notice: various comments in the spec file say "owncloud" instead of "nextcloud" (not a blocker)

Comment 14 Remi Collet 2016-10-11 14:37:02 UTC
Created attachment 1209180 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1360482
Buildroot used: fedora-rawhide-x86_64

Comment 15 Remi Collet 2016-10-11 14:37:36 UTC
Issues:
=======

[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
	=> Need documentation (if possible... )

[!]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
	=> hidden-file-or-dir => .tx and .bower.json can very probably be removed
	=> wrong-script-interpreter => I don't care (especially for PHP as this allow to use SCL)
	but some files can probably be dropped (relative to upstream build stuff)
		/usr/share/nextcloud/l10n/rm-old.sh
		/usr/share/nextcloud/apps/gallery/build/xdebug_install.sh
		/usr/share/nextcloud/apps/gallery/build/after_failure.sh
		/usr/share/nextcloud/apps/gallery/build/documentation/docpublisher.sh
About
	%dir %attr(0755,apache,apache)
	According to https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
	should be 2775

Comment 16 Didier 2016-10-15 09:56:30 UTC
> 
> EPEL is pending some fixes to patches before it gets an update
> 

Am I mistaken in understanding that compiling & running nC 10.0.1 on EL7 merely involves disabling Patch7 & Patch8 (which seem merely cosmetic patches too me) ?

Comment 17 Didier 2016-10-24 06:41:50 UTC
FYI :

Upgrading two EL7 ownCloud 9.0.2 and 9.0.4 instances with a compiled EL7 Nextcloud 10.0.1 (excluding Patch 7 and 8, cfr. comment #16) worked flawlessly.

Upgrading curl/libcurl to version 7.29.0-32 (from RHEL 7.3beta) took care of the NSS issue with the Nextcloud App Store.

Comment 18 Nick Bebout 2016-11-03 13:32:22 UTC
jhogarth - I'd recommend s/NextCloud/Nextcloud since Nextcloud is how upstream writes it.

Comment 19 Didier 2016-12-21 10:52:38 UTC
Any chance of this moving forward in the near future ?

I've been running NC 10.0.1 for the past 2 months without issues (cfr. comment#17), and recently, both NC versions 10.0.2 and 11.0.0 have been released.

Comment 20 Germano Massullo 2017-01-05 12:10:34 UTC
Since the review process is stuck, can anybody continue the review process together with the reviewer? And when the package will be approved he can give the admin rights to James Hogarth too...

Unfortunately I cannot do that.

Comment 21 James Hogarth 2017-01-05 14:17:15 UTC
I should have time to go through the licencing which was the MUST in the review this weekend. 

Note that there won't be an EPEL7 nextcloud package due to PHP versioning. 

There will be a fedora nextcloud container (similar with owncloud) that will run in docker on EL7

Comment 22 Didier 2017-01-05 18:41:41 UTC
(In reply to James Hogarth from comment #21)

> Note that there won't be an EPEL7 nextcloud package due to PHP versioning. 

FYI, PHP7 (v7.0.10) is available in current Red Hat & CentOS Software Collections :

* RHSCL :
rh-php70-php.x86_64         7.0.10-2.el7         rhel-server-rhscl-7-eus-rpms

* SCLo :
rh-php70-php.x86_64         7.0.10-2.el7         centos-sclo-rh

Comment 23 James Hogarth 2017-01-05 18:44:31 UTC
Unfortunately we're not permitted to use SCL based packages in EPEL

Comment 24 Germano Massullo 2017-01-15 17:26:19 UTC
(In reply to James Hogarth from comment #21)
> I should have time to go through the licencing which was the MUST in the
> review this weekend. 

If there is anything I can help you with, please let me know, so that we can finish the review process.
Thank you very much

Comment 25 Remi Collet 2017-01-17 13:41:18 UTC
See bug #1413978

Comment 26 James Hogarth 2017-01-17 14:22:52 UTC
For a quick update:

So going through this over the weekend and we've got some library requirements that will need updates or fresh reviews.

+BuildRequires:       php-composer(sabre/dav)  >= 3.2.0
+BuildRequires:       php-composer(symfony/console) >= 3.0.0
+BuildRequires:       php-composer(symfony/event-dispatcher) >= 3.0.0
+BuildRequires:       php-composer(symfony/routing) >= 3.0.0
+BuildRequires:       php-composer(symfony/process) >= 3.0.0
+BuildRequires:       php-composer(icewind/smb)     >= 1.1.0
+BuildRequires:       php-aws-sdk >= 2.7.5
+BuildRequires:       php-composer(stecman/symfony-console-completion) >= 0.7.0

I'll be working through these in a way that doesn't break the existing owncloud package before we can complete this review.

Comment 27 James Hogarth 2017-02-09 15:09:16 UTC
To facilitate getting this out there we've agreed on packaging nextcloud 10 initially (as there's no new packages then needed from dependency increases) and then we'll be working on these requirements to get an upgrade to 11 a little way down the path.

The initial package won't have tested migration steps from owncloud, but there will be an article on my blog and a migration in %doc in an update not long after.

Comment 28 Didier 2017-02-09 15:32:35 UTC
(In reply to James Hogarth from comment #27)
> To facilitate getting this out there we've agreed on packaging nextcloud 10
> initially (as there's no new packages then needed from dependency increases)

Thanks !

WRT Nextcloud 10 :
Will there be any substantial difference with the already existing .spec's as provided at https://jhogarth.fedorapeople.org/nextcloud/ and https://copr.fedorainfracloud.org/coprs/jhogarth/NextCloud/ ?

Comment 29 James Hogarth 2017-02-09 15:37:06 UTC
I'll be posting it very shortly with the stuff for 10.0.3 (and do note that the initial spec I post won't be compatible with EPEL7 as I'm honestly not sure what to do there with nextcloud 12 impending and bumping the minimal php version to 5.6).

You should be able to rebuild it for that for your own use with some requires tweaking though ...

The 10.0.3 update for this review has some bumped minimal versions (no major bumps like 11 will have), moves all licenses to %license to make those clear and in line with guidelines and updates the LICENSE header from a review of those.

Comment 30 James Hogarth 2017-02-16 01:25:04 UTC
Spec URL: https://jhogarth.fedorapeople.org/nextcloud/nextcloud.spec
SRPM URL: https://fedorapeople.org/~jhogarth/nextcloud/nextcloud-10.0.3-1.fc26.src.rpm

All licenses are now collected and stored in %license and the list in the license field has been validated against them.

The package builds can be found in the COPR

https://copr.fedorainfracloud.org/coprs/jhogarth/NextCloud/build/512663/

Comment 31 Remi Collet 2017-02-20 12:47:26 UTC
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
	=> Need documentation (if possible... )

Each license is now  properly installed as %license, so I think this is acceptable.

Comment 32 James Hogarth 2017-02-20 13:49:18 UTC
Thanks for the review

Comment 33 Gwyn Ciesla 2017-02-21 13:53:12 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nextcloud

Comment 34 Didier 2017-02-21 14:02:42 UTC
James, thank you for the continued effort.

(Nc 10.0.3 EL7 runs very well)

Comment 35 Fedora Update System 2017-02-21 16:42:04 UTC
nextcloud-10.0.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f83252de8c

Comment 36 Fedora Update System 2017-02-21 16:42:17 UTC
nextcloud-10.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5a6a9ae10c

Comment 37 Fedora Update System 2017-02-21 16:42:25 UTC
nextcloud-10.0.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c6a69d64d5

Comment 38 Ralf Corsepius 2017-02-21 18:10:22 UTC
James, 

/usr/share/doc/nextcloud/README.fedora contains many reference to ownCloud rsp. owncloud. Is this intentional or an oversight?

Comment 39 James Hogarth 2017-02-21 18:15:47 UTC
Oversight, I'll review on the next build.

I plan to add a migration document this weekend and I'll get it all sorted before anything goes stable.

Comment 40 Fedora Update System 2017-02-22 18:19:55 UTC
nextcloud-10.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5a6a9ae10c

Comment 41 Fedora Update System 2017-02-22 18:52:53 UTC
nextcloud-10.0.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c6a69d64d5

Comment 42 Fedora Update System 2017-02-22 21:08:33 UTC
nextcloud-10.0.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f83252de8c

Comment 43 Fedora Update System 2017-03-01 01:49:33 UTC
nextcloud-10.0.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6c1468fbd0

Comment 44 Fedora Update System 2017-03-01 01:49:47 UTC
nextcloud-10.0.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b2267c5c3

Comment 45 Fedora Update System 2017-03-01 01:49:56 UTC
nextcloud-10.0.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c03fe8c223

Comment 46 Fedora Update System 2017-03-02 02:21:32 UTC
nextcloud-10.0.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b2267c5c3

Comment 47 Fedora Update System 2017-03-02 02:52:08 UTC
nextcloud-10.0.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c03fe8c223

Comment 48 Fedora Update System 2017-03-02 04:16:31 UTC
nextcloud-10.0.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6c1468fbd0

Comment 49 Scott Williams 2017-03-06 20:31:39 UTC
Does this support migrating from the current owncloud package (IE, obsoletes)?

Comment 50 James Hogarth 2017-03-06 20:34:58 UTC
No, this does not obsolete owncloud.

Both packages will be maintained in parallel as long as I am able to do so.

At any rate trying an automated switch over would be difficult at best with many potential issues.

The nextcloud package includes a documented on how to migrate if you wish to and I have an article on my blog with directions as well:

https://www.hogarthuk.com/?q=node/17

Comment 51 Scott Williams 2017-03-06 20:42:06 UTC
Looking at the spec and nextloud-MIGRATION, it appears that owncloud migration isn't implied by installing this set (in contrast to mariadb, etc., in the past).  

Does this mean that migration steps mean: installing nextcloud, moving data from owncloud to nextcloud data folders, copying data from the owncloud database to nextcloud database, then removing the owncloud packages via dnf?

I'm not intending to hold up the release of this in any way - I'm mostly asking for the sake of verbosity, since nextcloud offers an owncloud migration path (for now).

Comment 52 Scott Williams 2017-03-06 20:42:41 UTC
Ah, sorry, I commented before seeing your reply.  Thanks!

Comment 53 Fedora Update System 2017-03-10 14:50:15 UTC
nextcloud-10.0.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 54 Fedora Update System 2017-03-10 15:20:28 UTC
nextcloud-10.0.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 55 Illya 2017-03-12 19:34:45 UTC
Just migrated owncloud-9.1.4-1.fc25 to nextcloud-10.0.4-1.fc25 with nginx and postgresql. 

Seems to work good.
Thanks

I have found just one minor issue:
 - "version" variable in /etc/nextcloud/config.php is not actualized after "occ upgrade"

Comment 56 Fedora Update System 2017-03-17 14:51:25 UTC
nextcloud-10.0.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.